﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Threading;
using Arction.Wpf.SemibindableCharting;
using Arction.Wpf.SemibindableCharting.Series3D;
using Arction.Wpf.SemibindableCharting.SeriesPolar;
using Arction.Wpf.SemibindableCharting.SeriesXY;
using Arction.Wpf.SemibindableCharting.Views.View3D;

namespace LCTempSemi
{
	/// <summary>
	/// MainWindow.xaml 的交互逻辑
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			List<SeriesPoint> pts = new List<SeriesPoint>();
			Random rand = new Random(Environment.TickCount);

			for (int i = 0; i < 20; i++)
				pts.Add(new SeriesPoint { X = i, Y = rand.Next(50) });

			//series.Points = pts.ToArray();  // This approach is Okay, series.PointCount == series.Points.Length
			series.AddPoints(pts.ToArray(), false);	// series.PointCount != series.Points.Length

			//series.OldestPointIndex always 0
		}

		//private void Super_Click(object sender, RoutedEventArgs e)
		//{
		//	Random rand = new Random(Environment.TickCount);
		//	var addPts = new List<SeriesPoint>();
		//	for (int i = 0; i < 10; i++)
		//	{
		//		addPts.Add(new SeriesPoint { X = i + 20, Y = rand.Next(50) });
		//	}
		//	series.AddPoints(addPts.ToArray(), false);
		//}

		private void Limit_Click(object sender, RoutedEventArgs e)
		{
			var tbtn = sender as ToggleButton;
			if (tbtn.IsChecked ?? false)
				series.PointCountLimitEnabled = true;
			else
				series.PointCountLimitEnabled = false;
		}
	}
}